LVBM.AddOns.Razorgore = {
	["Name"] = LVBM_RG_NAME,
	["Abbreviation1"] = "rg",
	["Abbreviation2"] = "razor",
	["Version"] = "1.0",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = LVBM_RG_DESCRIPTION,
	["Instance"] = LVBM_BWL,
	["GUITab"] = LVBMGUI_TAB_BWL,
	["Sort"] = 1,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},
	["Events"] = {
		["PLAYER_REGEN_DISABLED"] = true,
	},	

	["OnEvent"] = function(event, arg1)
		if event == "PLAYER_REGEN_DISABLED" and GetRealZoneText() == LVBM_BWL then
			if LVBM.UnitExists("Grethok the Controller") then
				LVBM.Schedule(15, "LVBM.AddOns.Razorgore.OnEvent", "ConfirmCombat");
			end
		elseif event == "ConfirmCombat" then
			if LVBM.DetectCombat("Grethok the Controller") then
				LVBM.StartStatusBarTimer(30, "Add Spawn");
			end
		end
	end,	

};
